/**
 * @file        motor.h
 */

/* Define to prevent recursive inclusion **************************************/
#ifndef INC_MOTOR_H
#define INC_MOTOR_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes *******************************************************************/
#include <stdbool.h>
#include <stdint.h>

/* Public Functions ***********************************************************/

/**
 * @brief   Motor_Handler()
 *
 * @return  None
 */
void Motor_Handler(void);
void Motor_Init(void);
void Motor_SetRPM(uint16_t input_rpm);
uint16_t Motor_GetFreq(void);
void Motor_Stop(void);
/** @} */

#ifdef __cplusplus
}
#endif

#endif /* INC_COMM_H */
